# Type alias AllSameLength<T, L>

AllSameLength<T, L>: T extends readonly [infer Head extends RoArray, ...(infer Tail extends RoArray2D)]
? L extends void
? AllSameLength<Tail, Head["length"]>
: Head["length"] extends L
? AllSameLength<Tail, L>
: false
: true

#### Type Parameters

- #### T extends RoArray2D

- #### L extends number | void = void

- Defined in core/base/dist/esm/utils/array.d.ts:21

Generated using TypeDoc